ftpwho(1)

NAME
ftpwho - show current process information for each FTP session

SYNOPSIS
ftpwho

DESCRIPTION
The ftpwho command shows process information for all active proftpd connections, and a count of all connected users off of each server. Proftpd sessions spawned from inetd are counted separately from those created by a master proftpd standalone server.

OPTIONS

-h,--help
    Display a short usage description, including all available options.

-f,--file scoreboard-file
    Specify the full path to proftpd's run-time scoreboard file (configured via the ScoreboardFile directive in proftpd.conf ). If proftpd's default directory has been changed via this directive, ftpwho must either be recompiled, or this option must be used in order to find proftpd's scoreboard.

-o,--outform format
    Specify an output format. Currently, three formats are supported: compat,oneline and json. The compat format is used for backward compatibility. The oneline format causes all of the fields for a session to be displayed on a single line, for ease of line-based searches (e.g. grep). The json format emits all of the information as a JSON object.

-v,--verbose
    Reports additional information for each connection, such as the remote host and current working directory. -S,--server server-name Specify the ServerName for a specific virtual host. If used, ftpwho will only show session information for the given virtual host.

FILES
@BINDIR@/ftpwho
@LOCALSTATEDIR@/proftpd.scoreboard

AUTHORS

ProFTPD is written and maintained by a number of people, full credits can be found on http://www.proftpd.org/credits.html

SEE ALSO
inetd(8),ftp(1),proftpd(8),ftpcount(1),ftptop(1),ftpshut(8)

Full documentation on ProFTPD, including configuration and FAQs, is available at http://www.proftpd.org/

For help/support, try the ProFTPD mailing lists, detailed on http://www.proftpd.org/lists.html

Report bugs at http://bugs.proftpd.org/